<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku:  Fichier source de src/Jeu.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Jeu.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_jeu_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Loan Caecke on 2019-04-29.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef PROJETCPPGL_JEU_HPP</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define PROJETCPPGL_JEU_HPP</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_plateau_8hpp.html">Plateau.hpp</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_joueur_8hpp.html">Joueur.hpp</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="class_jeu.html">   14</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_jeu.html">Jeu</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <a class="code" href="class_plateau.html">Plateau</a> _p;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <a class="code" href="class_joueur.html">Joueur</a> _joueur1;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <a class="code" href="class_joueur.html">Joueur</a> _joueur2;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <a class="code" href="class_jeu.html#acc5795ee00edf75516d3dfe65be3e6d6">Jeu</a>();</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keyword">const</span> <a class="code" href="class_plateau.html">Plateau</a> &amp;<a class="code" href="class_jeu.html#a06c78fea8e09393e6cc0f5a4b8f9798b">getP</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_jeu.html#a152c50e26a336590775f732baf5a472d">setP</a>(<span class="keyword">const</span> <a class="code" href="class_plateau.html">Plateau</a> &amp;p);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keyword">const</span> <a class="code" href="class_joueur.html">Joueur</a> &amp;<a class="code" href="class_jeu.html#a05ab46ddda667ae4e2650f41a8bce355">getJoueur1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_jeu.html#a66d9207108b869c34b4d4fcbed3a6123">setJoueur1</a>(<span class="keyword">const</span> <a class="code" href="class_joueur.html">Joueur</a> &amp;joueur1);</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">const</span> <a class="code" href="class_joueur.html">Joueur</a> &amp;<a class="code" href="class_jeu.html#a5eabee8914da45357d261f143470cf61">getJoueur2</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_jeu.html#a1436d92896dbb6a36b8d9fbb6736360a">setJoueur2</a>(<span class="keyword">const</span> <a class="code" href="class_joueur.html">Joueur</a> &amp;joueur2);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_jeu.html#a2f799634955420a3f95d6c600c1c8fac">afficherMenuChoixDePartie</a>();</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_jeu.html#a77193e1c7f644fceac7d2e2fc3799d89">lancerHumainVsHumain</a>();</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_jeu.html#a60cfa6bcd60174173ad421f897de4a4d">checkVictoire</a>(<span class="keywordtype">int</span> x,<span class="keywordtype">int</span> y);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_jeu.html#aa586f35330a478b7ef56cdef1390bb79">afficherFinPartie</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;};</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#endif //PROJETCPPGL_JEU_HPP</span></div><div class="ttc" id="class_jeu_html_a5eabee8914da45357d261f143470cf61"><div class="ttname"><a href="class_jeu.html#a5eabee8914da45357d261f143470cf61">Jeu::getJoueur2</a></div><div class="ttdeci">const Joueur &amp; getJoueur2() const</div><div class="ttdef"><b>Definition:</b> Jeu.cpp:31</div></div>
<div class="ttc" id="class_jeu_html_aa586f35330a478b7ef56cdef1390bb79"><div class="ttname"><a href="class_jeu.html#aa586f35330a478b7ef56cdef1390bb79">Jeu::afficherFinPartie</a></div><div class="ttdeci">void afficherFinPartie() const</div></div>
<div class="ttc" id="class_jeu_html_a2f799634955420a3f95d6c600c1c8fac"><div class="ttname"><a href="class_jeu.html#a2f799634955420a3f95d6c600c1c8fac">Jeu::afficherMenuChoixDePartie</a></div><div class="ttdeci">void afficherMenuChoixDePartie()</div><div class="ttdef"><b>Definition:</b> Jeu.cpp:44</div></div>
<div class="ttc" id="class_jeu_html_a152c50e26a336590775f732baf5a472d"><div class="ttname"><a href="class_jeu.html#a152c50e26a336590775f732baf5a472d">Jeu::setP</a></div><div class="ttdeci">void setP(const Plateau &amp;p)</div><div class="ttdef"><b>Definition:</b> Jeu.cpp:19</div></div>
<div class="ttc" id="class_jeu_html"><div class="ttname"><a href="class_jeu.html">Jeu</a></div><div class="ttdef"><b>Definition:</b> Jeu.hpp:14</div></div>
<div class="ttc" id="class_joueur_html"><div class="ttname"><a href="class_joueur.html">Joueur</a></div><div class="ttdef"><b>Definition:</b> Joueur.hpp:17</div></div>
<div class="ttc" id="_plateau_8hpp_html"><div class="ttname"><a href="_plateau_8hpp.html">Plateau.hpp</a></div></div>
<div class="ttc" id="class_jeu_html_a06c78fea8e09393e6cc0f5a4b8f9798b"><div class="ttname"><a href="class_jeu.html#a06c78fea8e09393e6cc0f5a4b8f9798b">Jeu::getP</a></div><div class="ttdeci">const Plateau &amp; getP() const</div><div class="ttdef"><b>Definition:</b> Jeu.cpp:15</div></div>
<div class="ttc" id="_joueur_8hpp_html"><div class="ttname"><a href="_joueur_8hpp.html">Joueur.hpp</a></div></div>
<div class="ttc" id="class_jeu_html_a05ab46ddda667ae4e2650f41a8bce355"><div class="ttname"><a href="class_jeu.html#a05ab46ddda667ae4e2650f41a8bce355">Jeu::getJoueur1</a></div><div class="ttdeci">const Joueur &amp; getJoueur1() const</div><div class="ttdef"><b>Definition:</b> Jeu.cpp:23</div></div>
<div class="ttc" id="class_plateau_html"><div class="ttname"><a href="class_plateau.html">Plateau</a></div><div class="ttdef"><b>Definition:</b> Plateau.hpp:13</div></div>
<div class="ttc" id="class_jeu_html_a60cfa6bcd60174173ad421f897de4a4d"><div class="ttname"><a href="class_jeu.html#a60cfa6bcd60174173ad421f897de4a4d">Jeu::checkVictoire</a></div><div class="ttdeci">bool checkVictoire(int x, int y)</div><div class="ttdef"><b>Definition:</b> Jeu.cpp:227</div></div>
<div class="ttc" id="class_jeu_html_a77193e1c7f644fceac7d2e2fc3799d89"><div class="ttname"><a href="class_jeu.html#a77193e1c7f644fceac7d2e2fc3799d89">Jeu::lancerHumainVsHumain</a></div><div class="ttdeci">void lancerHumainVsHumain()</div><div class="ttdef"><b>Definition:</b> Jeu.cpp:91</div></div>
<div class="ttc" id="class_jeu_html_acc5795ee00edf75516d3dfe65be3e6d6"><div class="ttname"><a href="class_jeu.html#acc5795ee00edf75516d3dfe65be3e6d6">Jeu::Jeu</a></div><div class="ttdeci">Jeu()</div><div class="ttdef"><b>Definition:</b> Jeu.cpp:40</div></div>
<div class="ttc" id="class_jeu_html_a66d9207108b869c34b4d4fcbed3a6123"><div class="ttname"><a href="class_jeu.html#a66d9207108b869c34b4d4fcbed3a6123">Jeu::setJoueur1</a></div><div class="ttdeci">void setJoueur1(const Joueur &amp;joueur1)</div><div class="ttdef"><b>Definition:</b> Jeu.cpp:27</div></div>
<div class="ttc" id="class_jeu_html_a1436d92896dbb6a36b8d9fbb6736360a"><div class="ttname"><a href="class_jeu.html#a1436d92896dbb6a36b8d9fbb6736360a">Jeu::setJoueur2</a></div><div class="ttdeci">void setJoueur2(const Joueur &amp;joueur2)</div><div class="ttdef"><b>Definition:</b> Jeu.cpp:35</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
